
Enduro/X Core - Bug #565

tmqueue shutdown segmentation fault on solaris

07/01/2020 10:51 AM - Madars

Status: Closed Start date: 07/01/2020

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

(dbx) threads -all

      t@1  a  l@1   ?()   LWP suspended in  exit()

      t@3  a  l@3   poolthread_do()   sleep on 0x5b4878  in  __lwp_park()

      t@4  a  l@4   poolthread_do()   sleep on 0x5b4878  in  __lwp_park()

      t@5  a  l@5   poolthread_do()   sleep on 0x5b4878  in  __lwp_park()

      t@6  a  l@6   poolthread_do()   sleep on 0x5b4878  in  __lwp_park()

      t@7  a  l@7   poolthread_do()   sleep on 0x5b4878  in  __lwp_park()

      t@8  a  l@8   poolthread_do()   sleep on 0x5b4878  in  __lwp_park()

      t@9  a  l@9   poolthread_do()   sleep on 0x5b4878  in  __lwp_park()

     t@10  a l@10   poolthread_do()   sleep on 0x5b4878  in  __lwp_park()

     t@11  a l@11   poolthread_do()   sleep on 0x5b4878  in  __lwp_park()

     t@12  a l@12   poolthread_do()   sleep on 0x5b4878  in  __lwp_park()

     t@13  a l@13   poolthread_do()   sleep on 0x5ab288  in  __lwp_park()

     t@14  a l@14   poolthread_do()   sleep on 0x5ab288  in  __lwp_park()

     t@15  a l@15   poolthread_do()   sleep on 0x5ab288  in  __lwp_park()

     t@16  a l@16   poolthread_do()   sleep on 0x5ab288  in  __lwp_park()

     t@17  a l@17   poolthread_do()   sleep on 0x5ab288  in  __lwp_park()

     t@18  a l@18   poolthread_do()   sleep on 0x5ab288  in  __lwp_park()

     t@19  a l@19   poolthread_do()   sleep on 0x5ab288  in  __lwp_park()

     t@20  a l@20   poolthread_do()   sleep on 0x5ab288  in  __lwp_park()

     t@21  a l@21   poolthread_do()   sleep on 0x5ab288  in  __lwp_park()

     t@22  a l@22   poolthread_do()   sleep on 0x5ab288  in  __lwp_park()

     t@23  a l@23   poolthread_do()   sleep on 0x5aadb8  in  __lwp_park()

     t@24  a l@24   poolthread_do()   sleep on 0x5aadb8  in  __lwp_park()

     t@25  a l@25   poolthread_do()   sleep on 0x5aadb8  in  __lwp_park()

     t@26  a l@26   poolthread_do()   sleep on 0x5aadb8  in  __lwp_park()

     t@27  a l@27   poolthread_do()   sleep on 0x5aadb8  in  __lwp_park()

     t@28  a l@28   poolthread_do()   sleep on 0x5aadb8  in  __lwp_park()

     t@29  a l@29   poolthread_do()   sleep on 0x5aadb8  in  __lwp_park()

     t@30  a l@30   poolthread_do()   sleep on 0x5aadb8  in  __lwp_park()

     t@31  a l@31   poolthread_do()   sleep on 0x5aadb8  in  __lwp_park()

     t@32  a l@32   poolthread_do()   sleep on 0x5aadb8  in  __lwp_park()

o>   t@33  a l@33   forward_process()   signal SIGSEGV in  ndrx_lh_position_get()

(dbx) where

current thread: t@33

=>[1] ndrx_lh_position_get(conf = 0x7ffea398fa60, key_get = <value unavailable>, key_len = 0, oflag = <value unavailable>, pos =

 0x7fffa9bffeb8, have_value = 0x7fffa9bffebc, key_typ = 0x7ffea3823e17 "qstr") (optimized), at 0x7ffea388a97f (line ~207) in

 "linearhash.c"

  [2] ndrx_svqshm_ctl(qstr = 0x5ba24c "/test1,clt,reply,tmqueue,10096,2", qid = -1, cmd = 10, arg1 = <value unavailable>, p_deletecb

 = <value unavailable>) (optimized), at 0x7ffea384ba1d (line ~526) in "sys_svqshm.c"

  [3] ndrx_tpterm() (optimized), at 0x7ffea32715ea (line ~675) in "init.c"

  [4] forward_process(arg = <value unavailable>) (optimized), at 0x418414 (line ~508) in "forward.c"

  [5] _thrp_setup(), at 0x7fffbf24e7e4

  [6] _lwp_start(), at 0x7fffbf24eac0

(dbx) thread 1

dbx: unrecognized arg/option '1'

(dbx) thread t@1

t@1 (l@1) stopped in exit at 0x7fffbf13344d

0x00007fffbf13344d: exit+0x001d:        nop

(dbx) where

current thread: t@1
=>[1] exit(), at 0x7fffbf13344d

(dbx)

History

#1 - 07/01/2020 10:52 AM - Madars

N:NDRX:5:ad5a7960:10096:00000001:001:20200630:130804989:position_get:arhash.c:0154:Try key for [402654677] is 14677, shm is: 7fffbe800000

 oflag: 0

N:NDRX:5:ad5a7960:10096:00000002:000:20200630:130804988:mqd_hash_del:qevent.c:0488:Closing queue 5b5fb0

 qstr:[/test1,srv,admin,tmqueue,60,10096] qid:402654677

N:NDRX:5:ad5a7960:10096:00000001:001:20200630:130804989:position_get:arhash.c:0251:ndrx_lh_position_get qid [402654677] - result: 1,

 iterations: 0, pos: 14677, have_value: 1 flags: 3 [/test1,srv,admin,tmqueue,60,10096/402654677]

N:NDRX:5:ad5a7960:10096:00000002:000:20200630:130804990:ash_findtout:qevent.c:0591:Next timeout requested to 60

N:NDRX:4:ad5a7960:10096:00000001:001:20200630:130804990:x_svqshm_ctl:svqshm.c:1128:Unlinking queue:

 [/test1,srv,admin,tmqueue,60,10096]/402654677 (delta: 10, limit: -1)

N:NDRX:5:ad5a7960:10096:00000001:001:20200630:130804991:x_svqshm_ctl:svqshm.c:1159:Removing ISUSED flag for P2S/S2P mem

N:NDRX:5:ad5a7960:10096:00000002:000:20200630:130804991:meout_thread:qevent.c:0926:About to poll for: 60 sec nrfds=1

N:NDRX:5:ad5a7960:10096:00000001:001:20200630:130804991:epoll_ctl_mq:vqpoll.c:0443:Op 2 on mqd=641340 from poller

N:NDRX:5:ad5a7960:10096:00000001:001:20200630:130804992:rx_svq_close:ys_svq.c:0081:close 641340 mqd

N:NDRX:5:ad5a7960:10096:00000002:000:20200630:130804992:meout_thread:qevent.c:0943:moc=0 5b2a10 5b2a50 fd=6

N:NDRX:5:ad5a7960:10096:00000002:000:20200630:130804992:meout_thread:qevent.c:0954:poll() ret = 1

N:NDRX:5:ad5a7960:10096:00000001:001:20200630:130804992:n_initialize:v/init.c:0446:Removing queue: /test1,srv,reply,tmqueue,60,10096

N:NDRX:5:ad5a7960:10096:00000002:000:20200630:130804993:meout_thread:qevent.c:0999:0 fd=6 revents=1

N:NDRX:5:ad5a7960:10096:00000001:001:20200630:130804993:position_get:arhash.c:0154:Try key for [/test1,srv,reply,tmqueue,60,10096] is

 14868, shm is: 7fffbec00000 oflag: 0

N:NDRX:5:ad5a7960:10096:00000001:001:20200630:130804994:position_get:arhash.c:0251:ndrx_lh_position_get qstr

 [/test1,srv,reply,tmqueue,60,10096] - result: 1, iterations: 0, pos: 14868, have_value: 1 flags: 3 [/test1,srv,reply,tmqueue,60,10096/989857238]

N:NDRX:5:ad5a7960:10096:00000001:001:20200630:130804994:position_get:arhash.c:0154:Try key for [989857238] is 17238, shm is: 7fffbe800000

 oflag: 0

N:NDRX:5:ad5a7960:10096:00000002:000:20200630:130804993:meout_thread:qevent.c:1019:Got command: 5 641340 flags=0

N:NDRX:4:ad5a7960:10096:00000002:000:20200630:130804995:meout_thread:qevent.c:1085:Close queue command mqd: 641340 qstr:

 [/test1,srv,reply,tmqueue,60,10096]/989857238

N:NDRX:5:ad5a7960:10096:00000001:001:20200630:130804995:position_get:arhash.c:0251:ndrx_lh_position_get qid [989857238] - result: 1,

 iterations: 0, pos: 17238, have_value: 1 flags: 3 [/test1,srv,reply,tmqueue,60,10096/989857238]

N:NDRX:4:ad5a7960:10096:00000001:001:20200630:130804996:x_svqshm_ctl:svqshm.c:1128:Unlinking queue:

 [/test1,srv,reply,tmqueue,60,10096]/989857238 (delta: 10, limit: -1)

N:NDRX:5:ad5a7960:10096:00000002:000:20200630:130804995:mqd_hash_del:qevent.c:0488:Closing queue 641340

 qstr:[/test1,srv,reply,tmqueue,60,10096] qid:989857238

N:NDRX:5:ad5a7960:10096:00000001:001:20200630:130804996:x_svqshm_ctl:svqshm.c:1159:Removing ISUSED flag for P2S/S2P mem

N:NDRX:5:ad5a7960:10096:00000002:000:20200630:130804997:ash_findtout:qevent.c:0591:Next timeout requested to 60

N:NDRX:5:ad5a7960:10096:00000001:001:20200630:130804997:epoll_ctl_mq:vqpoll.c:0443:Op 2 on mqd=5b35d0 from poller

N:NDRX:5:ad5a7960:10096:00000002:000:20200630:130804997:meout_thread:qevent.c:0926:About to poll for: 60 sec nrfds=1

N:NDRX:4:ad5a7960:10096:00000001:001:20200630:130804998:epoll_ctl_mq:vqpoll.c:0464:Free up virtual mqd 5b35d0

N:NDRX:5:ad5a7960:10096:00000002:000:20200630:130804998:meout_thread:qevent.c:0943:moc=0 5b2a10 5b2a50 fd=6

N:NDRX:5:ad5a7960:10096:00000001:001:20200630:130804998:epoll_ctl_mq:vqpoll.c:0443:Op 2 on mqd=5b35f0 from poller

N:NDRX:4:ad5a7960:10096:00000001:001:20200630:130804999:epoll_ctl_mq:vqpoll.c:0464:Free up virtual mqd 5b35f0

N:NDRX:5:ad5a7960:10096:00000001:001:20200630:130804999:n_initialize:v/init.c:0468:epollfd = 1

N:NDRX:5:ad5a7960:10096:00000001:001:20200630:130804999:atmi_tls_new:mi_tls.c:0259:ndrx_atmi_tls_new: Reusing TLS storage

Server exit: 0, id: 60

N:NDRX:5:ad5a7960:10096:00000001:001:20200630:130805000:q_event_exit:qevent.c:1225:Terminating event thread...

N:NDRX:5:ad5a7960:10096:00000021:002:20200630:130805000:_close_entry:tmi/xa.c:0404:atmi_xa_close_entry

N:NDRX:5:ad5a7960:10096:00000002:000:20200630:130805000:meout_thread:qevent.c:0954:poll() ret = 1

N:NDRX:5:ad5a7960:10096:00000002:000:20200630:130805000:meout_thread:qevent.c:0999:0 fd=6 revents=1

N:NDRX:2:ad5a7960:10096:00000021:002:20200630:130805000:_close_entry:isk_xa.c:0595:xa_close_entry() called

N:NDRX:5:ad5a7960:10096:00000002:000:20200630:130805001:meout_thread:qevent.c:1019:Got command: 4 0 flags=0

N:NDRX:5:ad5a7960:10096:00000001:001:20200630:130805000:q_event_exit:qevent.c:1234:Join evthread...

N:NDRX:5:ad5a7960:10096:00000021:002:20200630:130805001:ndrx_tpterm :i/init.c:0629:_tpterm called

N:NDRX:5:ad5a7960:10096:00000021:002:20200630:130805001:rx_svq_close:ys_svq.c:0081:close 5aaa80 mqd

N:NDRX:4:ad5a7960:10096:00000002:000:20200630:130805001:meout_thread:qevent.c:1077:Terminate request...

N:NDRX:5:ad5a7960:10096:00000021:002:20200630:130805002:ndrx_tpterm :i/init.c:0674:Unlinking [/test1,clt,reply,tmqueue,10096,2]

N:NDRX:5:ad5a7960:10096:00000001:001:20200630:130805002:q_event_exit:qevent.c:1236:Join evthread... (done)

N:NDRX:5:ad5a7960:10096:00000021:002:20200630:130805002:position_get:arhash.c:0154:Try key for [/test1,clt,reply,tmqueue,10096,2] is 12200,

 shm is: 7fffbec00000 oflag: 0

user1@solaris11:~/endurox/atmitest/test033_provision/runtime/log$

user1@solaris11:~/endurox/atmitest/test033_provision/runtime/log$

user1@solaris11:~/endurox/atmitest/test033_provision/runtime/log$ tail -1000 tmqueue-rm1.log
#2 - 07/01/2020 10:54 AM - Madars

- File test033_provision.tar.gz added

- File dist.tar.gz added

#3 - 07/01/2020 10:54 AM - Madars

user1@solaris11:~/endurox/sampleconfig$ xadmin -v

Enduro/X 7.0.36, build Jun 30 2020 11:24:50, using SystemV for SUNOS (64 bits)

Enduro/X Middleware Platform for Distributed Transaction Processing

Copyright (C) 2009-2016 ATR Baltic Ltd.

Copyright (C) 2017-2020 Mavimax Ltd. All Rights Reserved.

This software is released under one of the following licenses:

AGPLv3 (with Java and Go exceptions) or Mavimax license for commercial use.

Enduro/X 7.0.36

#6 - 07/05/2020 10:52 AM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

Fixed in 7.0.38+

#7 - 07/05/2020 10:52 AM - Madars

- Status changed from Resolved to Closed

Files

test033_provision.tar.gz 2.38 MB 07/01/2020 Madars

dist.tar.gz 14.6 MB 07/01/2020 Madars
